blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
e3886159933c611de9e86543e4b8f95374815673 | Shell | Phelimb/mccortex | /results/klebsiella/kleb_pneumoniae/platypus/call-platypus.sh | UTF-8 | 1,301 | 2.734375 | 3 | [
"MIT",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/bash
set -eou pipefail
set -o xtrace
REF=../ref/GCF_000016305.1_ASM1630v1_genomic.fa
BAM=../remap/mapped/KlebPneu.bam
BAMRMDUP=../remap/mapped/KlebPneu.rmdup.bam
CTXDIR=~/mccortex
VCF_ADD_CONTIGS=$CTXDIR/libs/biogrok/vcf-add-contigs
VCF_PASS=$CTXDIR/libs/biogrok/vcf-pass
PLATDIR=~/bioinf/Platypus
source $PL... | true |
81a78989e40f9bc32c79637550dba0d9d20dd3f9 | Shell | Ninjaban/nm_otool | /test_otool.sh | UTF-8 | 881 | 3.5625 | 4 | [] | no_license | #!/bin/bash
make
dir='result/'
rm -rf $dir
mkdir $dir
for element in $* ; do
if [ -x $element ]
then
otool -t $element &> diff1
status_otool=`grep -oE "^[a-zA-Z0-9_.:/-]*" diff1`
./ft_otool $element &> diff2
status_ft=$?
tmp=`diff diff1 diff2`
if [ "$tmp" != "" ]
the... | true |
2a7a27fed8b7922e061b398eb5774c02b0ce3ce7 | Shell | xarsh/dotfiles | /languages.sh | UTF-8 | 621 | 2.640625 | 3 | [] | no_license | # anyenv
git clone https://github.com/riywo/anyenv ~/.anyenv
echo 'export PATH="$HOME/.anyenv/bin:$PATH"' >> ~/.zshrc
echo 'eval "$(anyenv init -)"' >> ~/.zshrc
exec $SHELL -l
anyenv install ndenv
anyenv install rbenv
anyenv install pyenv
# node.js
VERSION=$(ndenv install -l | grep -v - | tail -1)
ndenv install $VERSI... | true |
8c3ecbfffbbdd526936e62e3d580f222a5faf48a | Shell | waaan7/COMP9044-19T2 | /LAB/lab03/email_image.sh | UTF-8 | 446 | 3.6875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
if [ $# == 0 ];
then
echo "usage:$0 <attachment>"
fi
for file in $@
do
read -p 'Address to e-mail this image to? ' addr
read -p 'Message to accompany image? ' message
name=`echo $file | sed "s/\.jpg//"`
echo "$message" | mutt -s "$name!" -e 'set copy=no' -a "$file" -- "$addr"
echo ... | true |
79bee9c2e7ea2077348140cb2d1b96ecd3941677 | Shell | nclavaud/dotfiles | /docker-postinstall | UTF-8 | 774 | 3.25 | 3 | [] | no_license | #!/bin/bash
# Configure Docker Engine
# see https://docs.docker.com/engine/installation/linux/linux-postinstall/
set -o errexit
set -o pipefail
set -o nounset
sudo usermod -aG docker ${USER}
# see https://docs.docker.com/engine/reference/commandline/dockerd/#/daemon-user-namespace-options
# see https://blog.yadutaf... | true |
d34739ee02bd20701eddd29f9fb68bfc6961c192 | Shell | forresti/dnn_dsx | /genetic_algo/gen_nets_genetic.sh | UTF-8 | 615 | 2.65625 | 3 | [] | no_license | #ln -s ../solver_generator.py
#ln -s ../random_net_defs.py
mkdir gen1
for((seed=0; seed<3; seed=$seed+1))
do
mkdir ./gen1/$seed
#python ./random_net_generator.py --seed $seed --phase deploy > gen1/$seed/deploy.prototxt
#python ./random_net_generator.py --seed $seed --phase trainval > gen1/$seed/trainval.protot... | true |
c4867f2a1d319c7458d7bf7be09fd11e5bd67932 | Shell | o2346/pde | /darwin/ansible.sh | UTF-8 | 413 | 3.4375 | 3 | [] | no_license | #!/bin/bash
cd `dirname $0`
while getopts "ei" OPT ; do
echo $OPT
case $OPT in
e) echo Entering Examinational mode
ansible-playbook exam.yml -kK --connection=local
;;
i) echo playing init mode
ansible-playbook init.yml -kK --connection=local
;;
esac
done
if [ $# -eq 0 ] ... | true |
6ea919aaac5966b4a317ec65cdeb45e7126e4325 | Shell | fuelingtheweb/fuelingzsh | /aliases/git.sh | UTF-8 | 9,128 | 2.609375 | 3 | [] | no_license | alias g='git'
alias ga='git add'
alias gah='git add --help'
alias gaa='git add -A'
alias gb='git:branch.list'
alias gbh='git branch --help'
alias gba='git branch -av'
alias gbc='git:branch.current | pbcopy'
alias gbr='git:branch.rename'
alias gbd='git:branch.delete'
alias gbdf='git:branch.force-delete'
alias gc='git... | true |
378f2a9b57da06753d4926a5837a87bdac24e37b | Shell | AryjTakali/L2MonoInfo | /Shell/LUIN020/TME8/exo01/zombieDetector.sh | UTF-8 | 323 | 3.28125 | 3 | [] | no_license | #!/bin/bash
if [ $# -lt 1 ] || [ ! -f '/proc/$1/exe' ]; then
echo "Usage : $0 <PID>"
exit
fi
state=$( ps o pid,state $1 | grep "$1" | tr -s ' ' | cut -d ' ' -f2)
while [ $state != 'Z' ]
do
state=$(ps o pid,state $1 | grep "$1" | tr -s ' ' | cut -d ' ' -f2)
done
echo "Le processus est devenu un zombi... | true |
2ef914311993f1298374e2e743f3caf528900b4a | Shell | jolth/ipteasy | /INSTALL.sh | UTF-8 | 568 | 2.96875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
#
PWD=`pwd`
echo Creando /etc/ipt/
mkdir -v /etc/ipt/
sleep 1
echo Moviendo fichero de configuracion
cp -v *.conf blacklist reglas /etc/ipt/
sleep 1
echo Moviendo el scrip de inicio
if test -e /etc/init.d/firewall; then
mv -v /etc/init.d/firewall /etc/init.d/firewall.bk
cp -v firewall /etc/init.... | true |
6a2defb607a0328f5019295e408e5af751fe7d45 | Shell | southerncross/gallery-3d | /deploy_remote.sh | UTF-8 | 373 | 2.765625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# Remote procedure of deployment
#
# Usage: ./deploy_remote.sh <zip file name>
# e.g. ./deploy_dist dist-20160307-64bed75
# Step 1: Stop app service
sudo systemctl stop gallery-3d
# Step 2: Unzip and overwrite app directory
unzip -o $1.zip || exit 1
rm -Rf /opt/app/*
mv dist/* /opt/app/
rm -Rf dist
# Step ... | true |
2f56c8b54e4540195aaadf37f7d538746cfde7bd | Shell | xonev/the-archive | /scripts/remove_worktrees.sh | UTF-8 | 77 | 2.59375 | 3 | [] | no_license | #!/bin/bash
set -x
for dir in "$@"; do
git worktree remove "$dir"
done
| true |
bae01868b495f8e8c9ca30d8bbf726f5e1901840 | Shell | sypherlev/php-chassis-framework | /bin/chassis | UTF-8 | 2,339 | 4.0625 | 4 | [] | no_license | #!/bin/bash
echo "Starting Chassis Migration..."
if [ $# -eq 0 ]
then echo "No function specified. Choose one of the following:"
echo " -b <database_prefix> -create a backup of the database specified"
echo " -m <database_prefix> -run all unapplied migrations on the database specified
... | true |
c4dcece21fd95239adf02d886bac41511c1db7e1 | Shell | k2s/dockerfiles | /base-deb/tools/entrypoint.sh | UTF-8 | 466 | 3.359375 | 3 | [
"Unlicense"
] | permissive | #!/usr/bin/env bash
set -e
if [ -z $XT_DISABLE_STARTUP ]; then
# mix custom startup scripts with image startup scripts
if [ -n $XT_PRJ_STARTUP ]; then
if [ -d $XT_PRJ_STARTUP ]; then
cp -a $XT_PRJ_STARTUP/. /xt/startup/
fi
fi
# execute all startup scripts
if [ -d /xt/s... | true |
f0b3eeff4ccba170a33f2becdd302608db8074ad | Shell | RahmanTeamDevelopment/OpEx | /build_opex.sh | UTF-8 | 1,692 | 3.25 | 3 | [
"MIT"
] | permissive | #!/bin/bash
message () {
echo; printf '%.0s=' {1..80}; echo
echo "OpEx: $1"
printf '%.0s=' {1..80}; echo; echo
}
# Current directory
opexdir=$(pwd)
# Download BWA
message "Downloading BWA"
cd tools
wget http://sourceforge.net/projects/bio-bwa/files/bwa-0.5.10.tar.bz2 --no-check-certificate
tar -jxvf bwa-0.5.10.tar.... | true |
9f64d1e92203c9e8c7b48bc768fcc589d0b79112 | Shell | davidrihtarsic/ArchLinuxDR | /300-OFFICE-Software.sh | UTF-8 | 1,681 | 2.640625 | 3 | [] | no_license | #!/bin/bash
set -e
echo -e '\e[33m'
echo "################################################################################"
echo " Installing OFFICE tools"
echo "################################################################################"
# Office
# sudo pacman -S --noconfirm --needed libreoffice-still
trizen ... | true |
5f06fb6da020a254d6744d615c678b4477f35914 | Shell | markwharton/jsonparser | /rmvattr.sh | UTF-8 | 331 | 3.484375 | 3 | [
"BSD-2-Clause"
] | permissive | # /usr/bin/bash
# http://superuser.com/questions/61185/why-do-i-get-files-like-foo-in-my-tarball-on-os-x
dir="$1"
rmvattr() {
cd "$1"
echo "Entering $1"
for d in *; do
if [ -d "$d" ]; then
(rmvattr "$d")
else
encs=$(xattr "$d")
for enc in $encs; do
xattr -d "$enc" "$d"
done
fi
done
}
(rmvat... | true |
bc8049cda88645b4067a7784833f44b6e453d7ae | Shell | weichou1229/edgex-taf | /TAF/utils/scripts/docker/run-bct-test.sh | UTF-8 | 4,688 | 3.484375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
UN=`uname -m`
case $UN in
aarch64)
ARCH=arm64
;;
x86_64)
ARCH=x86_64
;;
*)
echo "Unsupported: architecture $UN"
exit
;;
esac
# Arguments and the default values
CASE=${1:-1}
BUS=${2:-redis}
USE_ARCH=${ARCH}
SECURITY_SERVICE_NEEDED=${SECURITY_SERVICE_NEEDED:-false} # This script on... | true |
1caa25595189eaa54c3996c19c4ba2f1dccfb76c | Shell | tomasbartkus/goaws-bck | /build | UTF-8 | 233 | 2.671875 | 3 | [
"MIT"
] | permissive | #!/bin/bash -e
ORG_PATH="github.com/tomasbartkus"
REPO_PATH="${ORG_PATH}/GoAws"
echo "Building goaws"
GOOS=linux GOARCH=amd64 CGO_ENABLED=0 go build -o bin/goaws -a -installsuffix netgo -ldflags '-s' ${REPO_PATH}
chmod +x bin/goaws | true |
66803b6b4dfec6dfdf36d2f97749fd1b4186a570 | Shell | AS4SR/vagrant-rss | /templates/install_SOMETHING2.sh | UTF-8 | 2,538 | 3.828125 | 4 | [
"BSD-2-Clause",
"LicenseRef-scancode-warranty-disclaimer",
"BSD-3-Clause"
] | permissive | #!/bin/bash -e
# Copyright by University of Cincinnati
# All rights reserved. See LICENSE file at:
# https://github.com/AS4SR/vagrant-rss
#
# in the initialization process for vagrant, this bash script is run as user 'root' from /vagrant
#
echo "Start of install_SOMETHING2.sh script!"
echo "input arguments: [-f]"
ech... | true |
4805048bc8a1fcb2523c1c2cf7232b6d522b1c39 | Shell | heyaqiong123/literature | /medline/elixir/etl/citedin_retrieve.sh | UTF-8 | 249 | 2.609375 | 3 | [] | no_license |
# extracts pmids of articles that cite pbid=12807958
# prints out a coma separated value list, as specified by pubmed_citedin.xsl
PMID=$1
xsltproc --novalid pubmed_citedin.xsl "http://eutils.ncbi.nlm.nih.gov/entrez/eutils/elink.fcgi?id=${PMID}"
| true |
be5cb24b73d104981ac065306a9455c139c6b4e9 | Shell | hsowards/project_spring_2020 | /scripts/data.sh | UTF-8 | 1,022 | 2.828125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
source scripts/config.sh #sourcing the config file so that configs are used in file creation
unzip /data/Brown_lab/vQTL/LD_reference/UKBB/transfer_1599580_files_b3b70061.zip #unzip (decompress into multiple file componenets), this and the next step must be done for plink to run
gunzip UKBB* #gunzip (decompr... | true |
52e963471fb0afbd2560b41e7c2fcaa3bef1645e | Shell | xometry-europe-gmbh/fusion_tools | /scripts/macos/setup_local_dbg_macos.sh | UTF-8 | 509 | 3.171875 | 3 | [] | no_license | #!/usr/bin/env bash
set -eo pipefail
PIP_PKGS=(
"ipdb"
"ipython"
"mypy"
"pylint"
)
CURDIR="$(pwd)"
VENV_PATH="${CURDIR}/.venv"
echo -e "\nSetting up local debug environment...\n"
echo "LDFLAGS -> ${LDFLAGS}"
echo "CPPFLAGS -> ${CPPFLAGS}"
echo "PKG_CONFIG_PATH -> ${PKG_CONFIG_PATH}"
echo
source ... | true |
71abddc1de806174d1a9eceb7670175b556cd703 | Shell | chandrams/criu-tests | /xdump/setup.sh | UTF-8 | 461 | 3.546875 | 4 | [] | no_license | #!/bin/bash
source ./common_env_vars.sh
source ./xdump/app_env_vars.sh
source ./util.sh
if [ -z "${DOCKER_IMAGE_OS}" ]; then
DOCKER_IMAGE_OS=ubuntu
fi
echo "Building application docker image ... "
cmd="docker build -q -t "${APP_DOCKER_IMAGE}" -f ./xdump/Dockerfile.app ."
echo "CMD: ${cmd}"
${cmd} &>/dev/nu... | true |
d112d0e703d46ca66d8519e85f1ee95db7b36f1e | Shell | benko/covid19-graph | /covid19-dataprep.sh | UTF-8 | 755 | 4.09375 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
#
# Recreates COVID-19 downloadable data file into something usable by gnuplot index.
#
# Usage: covid19-dataprep.sh <datafile>
# Output: covid19-current-world.csv
#
if [ -z "$1" ]; then
echo "FATAL: Need data file to work with!"
exit 1
fi
DATAFILE="$1"
echo -n > covid19-current-world.csv
echo -n "... | true |
797d8a3f53a40c87e999f27bd31ea4bd8e4dbaba | Shell | liuzhisheng1226/HipMer | /src/hipmer/rerun_stage.sh | UTF-8 | 643 | 3.671875 | 4 | [
"BSD-3-Clause-LBNL"
] | permissive | #!/bin/bash
if [ "$1" == "" ]; then
echo "rerun_stage.sh <comma separated stages>"
echo " available stages are"
for log in `grep "#*.log" timings.log|awk '{print $2}'`; do
echo " ${log%.log}"
done
echo " last"
exit 0
fi
install_path=`grep "# Install path" timings.log|cut -f2 -d':'|xargs`
arrstage=(${... | true |
6688625e092b60a7c2225c88618320b1319cf95e | Shell | mphe/scripts | /scripts/hlsound.sh | UTF-8 | 4,351 | 4.46875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#######################################################
# Requires ffmpeg, shntool, and optionally youtube-dl #
#######################################################
printhelp() {
echo "(Downloads and) Converts a file to the half-life 1 sound format (suitable for micspam)."
echo "If youtube-dl i... | true |
4aff44503afb8d3bcd8f7863675d903edfdfee86 | Shell | YuKai-Zheng/QF_APP_DDZ | /texas/frameworks/runtime-src/proj.android/key/to_pem_and_pk8.sh | UTF-8 | 1,222 | 2.90625 | 3 | [] | no_license | #!/bin/sh
# 1. 生成 intermediate.p12
keytool -importkeystore -srckeystore key -destkeystore intermediate.p12 -srcstoretype JKS -deststoretype PKCS12 -srcstorepass qfwlkj2013 -deststorepass qfwlkj2013 -srcalias texas -destalias texas -srckeypass qfwlkj2013 -destkeypass qfwlkj2013 -noprompt
# 2. 将 p2 转成 intermediate.pe... | true |
f267de789e60aac261a54666794077e48dd9060d | Shell | rcannood/single-cell-curation | /datasets/biccn-yao_integrated_transcriptomic_and_epigenomic_atlas/scripts/all_apply_schema.sh | UTF-8 | 2,709 | 2.65625 | 3 | [
"MIT"
] | permissive | out_dir='./data/transformed/4_remixed'
in_dir='./data/transformed/3_prepared'
ontology_table='./data/misc/ontology_lookup_cell_type.tsv'
yaml_out='./schema_config_files'
mkdir -p $out_dir
mkdir -p $yaml_out
# Create config files
Rscript scripts/create_yaml.R $ontology_table "10X_cells_v2_AIBS" "EFO:0009899" "Male" "F... | true |
931b5d17d89f658041aab0f05c0565a95d612396 | Shell | anzersy/cbi | /hack/build/build-push-apply.sh | UTF-8 | 1,158 | 3.59375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -o errexit
set -o nounset
set -o pipefail
set -o errtrace
set -x
if [ "$#" -ne 2 ]; then
echo "Usage: $0 REGISTRY TAG"
exit 1
fi
REGISTRY="$1"
TAG="$2"
if echo ${REGISTRY} | grep '/$' > /dev/null; then
echo "REGISTRY must not contain a trailing slash".
exit 1
fi
cd $(dirname $0)/../... | true |
5f1ddf70089c2752e1381d75ac57e946aa70c37b | Shell | Dzhan85/devops-aws-linux-training | /Bash-Shell-Scripting/Shell-Scripting-Examples/class_script/change_default_runlevel.sh | UTF-8 | 589 | 3.53125 | 4 | [] | no_license | #!/bin/bash
# Author: Tia M
# Date: November 11 , 2019
# Modified on: by:
#write a script that will check the default runlevel on your system centos 6. if it is equal 5, then the script should change it to 3 but if it is not equal to 5, the script should script should just display the default runlevel
de... | true |
47b5535de2fc3c8ed04d6b03c80c019870e89769 | Shell | cxuhua/libgit2-make-ios | /make.sh | UTF-8 | 3,045 | 3.515625 | 4 | [] | no_license |
if [ ! -d "$1" ]
then
echo "You must specify souce directory."
echo ""
echo "USAGE:"
echo ""
echo " build.sh <src-dir-path>"
echo ""
exit 1
fi
declare CURDIR="`pwd`"
cd "`dirname \"$0\"`"
declare SCRTDIR="`pwd`"
cd "$1"
declare SRCDIR="`pwd`"
cd "$CURDIR"
declare PKGDIR="$CURD... | true |
2d247b4feb3c9d7203bc75e62b60aae6ce8fa9c6 | Shell | vamadi32/Jamf-2021-Sessions | /1196 - Remediating security events with Jamf Pro Jamf Protect and Jamf Connect/SSH Detection Notification for Protect.sh | UTF-8 | 887 | 3.140625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#Check for SSH Activity
sshcheck=$(lsof -i | grep ssh)
echo "$sshcheck"
if [ -z "$sshcheck" ] ; then
echo "No Active SSH Activity"
else
jamfHelper="/Library/Application Support/JAMF/bin/jamfHelper.app/Contents/MacOS/jamfHelper"
#Header for Pop Up
heading="IT Security Notification"
#Description for Po... | true |
d51b3a148a7bb221bc69c878ebd5c844a155eea3 | Shell | libbun/libbun | /test/bin/buntest | UTF-8 | 814 | 3.46875 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
#Usage: buntest $FILES
if [ -z $PROCESS ]; then
PROCESS=1
fi
if [ -z $OUTDIR ]; then
echo "set OUTDIR"
exit 1
fi
if [ -z $TARGET ]; then
echo "set TARGET"
exit 1
fi
if [ -z $BUNJAR ]; then
BUNJAR='libbun-0.1.jar'
fi
OUTLOG="$OUTDIR/$TARGET.log"
OUTLOG1="$OUTLOG.1"
if [ -f $OUTLOG ]; then
... | true |
42816a65af059fa5a8ffff7621f44fecc97a70b8 | Shell | GunterMueller/ST_STX_Fork | /build/stx/rules/stmkmp | UTF-8 | 22,036 | 3.578125 | 4 | [
"MIT"
] | permissive | #!/bin/sh
#
# $Header: /cvs/stx/stx/rules/stmkmp,v 1.40 2006-09-15 14:06:40 stefan Exp $
#
# MIMEType: application/x-sh
#
# this little script creates Make.proto and Make.spec files
# by searching for all .st files in the current directory.
#
# This is just a template - you may have to edit LIBNAME and PACKAGE
# (as a... | true |
c81cc3a917998f2b4a361bc4111a5ca2c7562aa8 | Shell | jinternals/spring-cloud-vault-demo | /config/install_vault_client.sh | UTF-8 | 389 | 3.484375 | 3 | [] | no_license | #!/usr/bin/env bash
download(){
local url=$1
local output_file=$2
wget --show-progress $url 2>&1 -O $output_file
}
extract(){
local file=$1
local dir=$2
unzip $file -d $dir
}
echo "Download vault"
download https://releases.hashicorp.com/vault/0.10.3/vault_0.10.3_darwin_amd64.zip vault.zip
... | true |
fd06256fe6a163b0bce7c19e247368c6517dfe8d | Shell | erdemkeren/mmacenv_installer | /scripts/install_jetbrains_toolbox.sh | UTF-8 | 275 | 3.421875 | 3 | [
"Unlicense"
] | permissive | #!/usr/bin/env bash
source scripts/helpers.sh
function install_jetbrains_toolbox() {
## Define the name of the tool being installed
toolName="Jetbrains Toolbox"
installationStarted $toolName
brew install --cask jetbrains-toolbox
installationSucceed $toolName
}
| true |
dbad3a3d94a9d8c092d559963c73182fea38e3f4 | Shell | THLEE-KR/lge_2018 | /LinuxSystem/1107/expr2.sh | UTF-8 | 149 | 2.671875 | 3 | [] | no_license | #!/bin/bash
# result=$[2 * 2]
result=$[2*2]
echo $result
n1=10
n2=20
result=$(expr $n1 + $n2)
result=$[$n1 + $n2]
result=$[n1 + n2]
echo $result
| true |
0df122d3c4bd4be020fa2bec296eecf75efbae40 | Shell | ODEX-TOS/packages | /libkate/trunk/PKGBUILD | UTF-8 | 1,025 | 2.53125 | 3 | [
"GPL-1.0-or-later",
"MIT"
] | permissive | # Maintainer: Giovanni Scafora <giovanni@archlinux.org>
# Contributor: N30N <archlinux@alunamation.com>
# Contributor: linkmauve <linkmauve@linkmauve.fr>
# Contributor: mokkurkalve <xenofil@gmail.com>
pkgname=libkate
pkgver=0.4.1
pkgrel=7
pkgdesc="A karaoke and text codec for embedding in ogg"
url="https://wiki.xiph.o... | true |
d4847b98da299ce5c80e05d401cc1ad36d7faeee | Shell | ferotap/dotfiles | /.bash_aliases | UTF-8 | 566 | 2.859375 | 3 | [] | no_license | alias gittag='git log --tags --simplify-by-decoration --pretty="format:%ai %d"'
alias ip='ip -c'
alias cd..='cd ../..'
alias cd...='cd ../../..'
alias cd....='cd ../../../..'
alias cd.....='cd ../../../../..'
blink() {
printf '\x1b[7mblink\n'
}
oasedit() {
docker run -d -p 80:8080 swaggerapi/swagger-editor
... | true |
a3cb44f0812d201fe553c5dde40bb772f0bf7bb6 | Shell | Zepalkia/bashLibrary | /lib/terminal.sh | UTF-8 | 6,201 | 4.03125 | 4 | [] | no_license | #@PRIORITY: 8
source string.sh
# This function returns the current line position of the cursor (first line being 0)
# args0: The name of the variable that will contain the final value
# Example:
# terminal_getCursorLine line
# echo "Your cursor is at line $((line+1))"
function terminal_getCursorLine() {
if [[ $#... | true |
7323c61c2ca12d8beb9433653b2b9ee57c3e4c5a | Shell | cybernetics/npm-publish | /scripts/setupGitHooks.sh | UTF-8 | 401 | 2.984375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )";
echo "$DIR";
mkdir -p "$DIR/../.git/hooks/";
echo "Configured pre-commit hook";
chmod +x "$DIR/../.git/hooks/pre-commit";
cp -f "$DIR/pre-commit" "$DIR/../.git/hooks/pre-commit";
echo "Configured pre-push hook";
cp -f "$DIR/... | true |
71297955df92fa99197780b8ef4f01076d0b3f8f | Shell | diresi/scripts | /mount-usb-stick.sh | UTF-8 | 265 | 3.265625 | 3 | [] | no_license | #!/bin/bash
set -e
function udiskctl_action {
action="$1"
udisksctl ${action} -b /dev/disk/by-label/FLINKBACKUP
}
arg="$1"
case ${arg} in
mount)
;;
unmount)
;;
*)
echo "Usage: $0 {mount|unmount}"
exit 1
;;
esac
udiskctl_action ${arg}
| true |
e8a30a03a31cf32827c4d8caaf4223e5c3efe412 | Shell | wolfela/SecondYear | /build.bash | UTF-8 | 312 | 2.71875 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
if [ "$(id -u)" != "0" ]; then
echo "Sorry, you are not root."
exit 1
fi
find . -name "*.pyc" -exec rm -f {} \;
sudo npm install
sudo npm install --global gulp
sudo npm rebuild
sudo gulp
sudo pip3 install -r requirements.txt
sudo python3 manage.py makemigrations
sudo python3 manage.py migrate
| true |
48b85f602e55c3f02ab9829dc2fc2e9ae4a824a3 | Shell | matthewjweaver/mjw-toolbox | /sietchtabr/bootstrap-vpn.sh | UTF-8 | 685 | 3.21875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
set -e
if ! hostname|grep sietchtabr; then
echo "this isn't sietchtabr"
exit 1
fi
echo CREATING CA
ikectl ca vpn create
echo CREATING SIETCHTABR CERT
ikectl ca vpn certificate sietchtabr.nodeless.net create
ikectl ca vpn install
ikectl ca vpn certificate sietchtabr.nodeless.net install
for h in korba.node... | true |
0f0d8b378487a0880e73646c075a5ac364ed202b | Shell | NDHall/EleusineMitochondria | /read_cleaning/Vector_filter.sh | UTF-8 | 954 | 2.71875 | 3 | [] | no_license | L=$1
R=$2
STEM=$3
bowtie2 -x /home/biolinux/Eluisine/Mito/PipeLine/vectors/pPV576.fasta --rg-id ${STEM} --local --threads 15 -1 ${L} -2 ${R} -S ${STEM}_ALL.sam
# make directory to keep raw reads clean
mkdir $STEM
mv ${STEM}_ALL.sam $STEM
cd $STEM
#samtools sequence to extract interleaved *.sam file fr... | true |
ee2f1e27b6718572d0af4fe6a9a53066963d58d6 | Shell | imma/etcd | /script/profile | UTF-8 | 178 | 2.796875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
function _etcd_profile {
local shome="${_etcd_home:="$(cd -P -- "$(dirname -- "$BASH_SOURCE")/.." && pwd -P)"}"
PATH="$shome/bin:$PATH"
}
_etcd_profile
| true |
473b7aec109a3c0ca22b9840e7d363a749b58f02 | Shell | mvendra/mvtools | /launchers/runmintty.sh | UTF-8 | 808 | 3.65625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
CMD=$1
TOOLBUS_SIGNAME="runmintty_result_${BASHPID}"
CMD_FINAL="runmintty_adapter.sh $CMD $TOOLBUS_SIGNAME"
# test if the toolbus signal is clear
toolbus.py --get-signal $TOOLBUS_SIGNAME 1>/dev/null # under normal conditions, this results in an error message on stdout so we can suppress it
TOOLBUS_GETSIG_... | true |
64f2369776332c3c4bf010b6d3c03dc1b7c24e52 | Shell | venky4588/shell_script_practice | /function_retun_test.sh | UTF-8 | 91 | 3.125 | 3 | [] | no_license | #!/bin/bash
addition() {
sum=$(($1 + $2))
echo "the result is --> $sum"
}
addition $1 $2
| true |
db22d7b27c32f6159b6d28c72ee11f1f1ff9a5b7 | Shell | mpcarolin/keg-hub | /repos/keg-cli/scripts/cli/updates/1.2.0.sh | UTF-8 | 1,747 | 3.828125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env
. ~/keg/keg-cli/keg
source ./update_helpers
# Check for docker-sync, then asks if you want to remove it
keg_remove_docker_sync(){
if [[ -x "$(command -v docker-sync 2>/dev/null)" ]]; then
local ANSWER=$(keg_ask_question "Confirm remove docker-sync? (y/N):")
if [[ "$ANSWER" == "y" || "$ANSWE... | true |
e0313c2642c2de8c6c3966a24b7459361dd8311b | Shell | ebenoist/dotfiles | /bin/cvx | UTF-8 | 603 | 2.828125 | 3 | [] | no_license | #!/usr/bin/env bash
ENV=$1
shift
CMD=$1
shift
DIR_NAME=${PWD##*/}
APP_NAME=$DIR_NAME-$ENV
if [ "$ENV" == "production" ]; then
APP_NAME=$DIR_NAME
fi
LOGIN=$(echo '{
"unstable": "reverb-staging-1222177346.us-east-1.elb.amazonaws.com",
"production": "convox-production-2029365087.us-east-1.elb.amazonaws.com",
... | true |
4ee0d9ea1b3e48ad15b71cfa7ea81730d143a09f | Shell | NeoPhyTe-x360/initramfs_galaxys2_ICS | /sbin/ext/run-init-scripts.sh | UTF-8 | 719 | 2.921875 | 3 | [] | no_license | #!/sbin/busybox sh
if [ -d /system/etc/init.d ]; then
/sbin/busybox run-parts /system/etc/init.d
fi;
if [ -f /system/bin/customboot.sh ]; then
/sbin/busybox sh /system/bin/customboot.sh;
fi;
if [ -f /system/xbin/customboot.sh ]; then
/sbin/busybox sh /system/xbin/customboot.sh
fi;
if [ -f /data/local/customboo... | true |
4af6bb1a9cdaf3f28394915394029d3f219a1b07 | Shell | kevinpark1217/CSAW-ESC-2020 | /riscv-toolchain.sh | UTF-8 | 575 | 3.703125 | 4 | [] | no_license | #!/bin/bash
#### Precompiled Toolchain ####
VERSION="v20200908"
TYPE="riscv64-glibc-nightly"
rm -rf riscv/
#### Prebuilt Toolchain - kevinpark1217 ####
curl https://github.com/kevinpark1217/riscv-gnu-toolchain/releases/download/$VERSION/$TYPE.zip \
-L --progress-bar --output $TYPE.zip
unzip $TYPE.zip
tar -xv... | true |
ead2231283806f16e810f78f5930edac11f67451 | Shell | hmatejx/xrapid_search | /dashboard/GoogleCloud.sh | UTF-8 | 2,529 | 3.015625 | 3 | [] | no_license | #!/bin/bash
# configure according to your Google Cloud Platform setup
PROJECT='level-poetry-216906'
DATASET='xRapid'
TABLE='InterExchange'
GCSBUCKET='hmatejx_sandbox'
# executing the xRapid search query on Google BigQuery
echo
echo "1.) Executing the xRapid search query on Google BigQuery..."
echo "~~~~~~~~~~~~~~~~~~... | true |
692a688ef34f2b231aa115e2f3d341cd87b897db | Shell | JRetza/lemongrenade | /bin/resetjobs.sh | UTF-8 | 812 | 3.828125 | 4 | [
"Apache-2.0",
"LicenseRef-scancode-us-govt-public-domain"
] | permissive | #!/bin/bash
read -r -d '' USAGE << EOF
Usage: $0 [-o] [reason] <job_uuids>
Provides a command line way to reset jobs by uuid.
EOF
set -eE
trap 'usage' EXIT
function usage(){
echo "$USAGE" >&2
exit 1
}
ids=()
do_flags=()
reason=''
for x in "$@"; do
if [[ "$x" =~ ^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[... | true |
f7ac17f13583d81574a120bd2a354c39d110b227 | Shell | sdothum/dotfiles | /bin/bin/functions/process/defunct | UTF-8 | 713 | 3.0625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/dash
# sdothum - 2016 (c) wtfpl
# Process
# ══════════════════════════════════════════════════════════════════════════════
# ............................................................ Defunct processes
# list defunct processes and their parents
defunct() { ps -ef --sort '-%cpu' | grep $1 '<defunct>' | g... | true |
4cce1e66d5cfbcca5834cf6ad6c71291196e6919 | Shell | langerma/dotfiles-1 | /zsh/gpg.zsh | UTF-8 | 612 | 3.234375 | 3 | [
"MIT"
] | permissive | # https://gnupg.org/
# GNU Privacy Guard
_brew_install gnupg
export GNUPGHOME="${XDG_CONFIG_HOME}"/gnupg
# load ssh keys into agent
zinit light-mode lucid for \
OMZP::gpg-agent
# https://github.com/chuwy/zsh-secrets
# store gpg encrypted environment variables
zinit light-mode lucid for \
@chuwy/zsh-secrets
e... | true |
1d81918fee7d7b9f4be2a64d14aac7ada7bc6062 | Shell | lockss/lockss-daemon | /scripts/ws/testserviceslocal.sh | UTF-8 | 3,139 | 3.09375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
# TODO: add checks in this file instead of forcing the user to inspect terminal outputs.
# Step 1. Run a local daemon
# Step 2. Confirm the port that the UI is served on is 8081, otherwise, set 'LOCAL8081' variable on line 10 of this file
# Step 3. Get an AUid or else use the one already assigned to... | true |
ce8d5abc0c8c21f648f3f3906d7eda3b860f62b4 | Shell | asdf2014/algorithm | /first_commit.sh | UTF-8 | 1,464 | 3.671875 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# check git
command -v git >/dev/null 2>&1 || {
echo >&2 "I require git but it's not installed!"; exit 1;
}
# check username
user_name=$(git config user.name)
if [[ ${user_name}_x != "_x" ]]; then
echo "Get github's username: ${user_name}."
else
echo "Please set github's username firs... | true |
ac94590fbaefa2cab3800512f990e0dbb20e70ca | Shell | aronasorman/aronbot | /studio/deploy/copy-master-db.sh | UTF-8 | 1,058 | 3.421875 | 3 | [] | no_license | #!/bin/bash
set -e
TARGET_INSTANCE_NAME=$1
MASTER_INSTANCE_NAME=master
LATEST_MASTER_BACKUP=`gcloud beta sql backups list --instance=$MASTER_INSTANCE_NAME --format='value(id)' | head -n 1`
# copy the latest backup of master over to the target instance
#this restore operation might take longer, so run it async, then... | true |
e355b3a7ff2508f0e51a1b174dce37f9b87d9deb | Shell | ellisonch/c-semantics | /tests/juliet/buildTests.sh | UTF-8 | 866 | 3.375 | 3 | [
"MIT",
"NCSA"
] | permissive | set -e
# OUT_DIR=finalgood
# rm -rf $OUT_DIR
# mkdir -p $OUT_DIR
# GCC_ARGS="-I testcasesupport -DINCLUDEMAIN -E -P"
# for dir in good/*
# do
# for file in $dir/*.c
# do
# filename=`basename $file`
# gcc $GCC_ARGS -DOMITBAD $file > $OUT_DIR/$filename
# done
# done
# OUT_DIR=finalbad
# rm -rf $OUT_DIR
# mkdir... | true |
5e86ea6964922376af0b0514fc1c72552cd66c7e | Shell | lewis-jg-lan/my_tools | /Desktop/Script/shell/Decode.sh | UTF-8 | 168 | 2.703125 | 3 | [] | no_license | #!/bin/sh
Dir=`dirname $0`
temp_file="/tmp/passwd.txt"
target_file="passwd.txt"
target_path=`pwd`
openssl base64 -d -in "$target_path/$target_file" -out "$temp_file"
| true |
de847ca17f5db5b4354b58d975bb7962f9504992 | Shell | bjlhx15/shell | /docker/centos-jdk8-nginx152-tomcat8/env-conf.sh | UTF-8 | 170 | 2.515625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
echo "读取配置..."
#服务器内网ip 7.4.1708 6.6
centos_version="7.4.1708"
name="centos74"
echo "name:${name}"
echo "centos_version:${centos_version}" | true |
d65972c08e35cee15043261f161b7e185665c811 | Shell | jcubic/pygments-lexer-babylon | /docker/buildall.sh | UTF-8 | 362 | 3.609375 | 4 | [] | no_license | #! /bin/bash
set -e
dir="$(dirname "$BASH_SOURCE")"
for name in babylonlexer-py3 babylonlexer-py2 babylonlexer-node10
do
out="rbann/${name}"
outlen=${#out}
line=$(head -c ${outlen} < /dev/zero | tr '\0' '-')
echo $(tput setaf 3)${out}$(tput sgr0)
echo $(tput setaf 2)${line}$(tput sgr0)
docker... | true |
7aa2b94cb2aaf02c6bdda37335d7958df8400170 | Shell | drs378/pyspec | /versionsave | UTF-8 | 964 | 4.21875 | 4 | [
"MIT"
] | permissive | #!/bin/sh
#
# %W% %G% CSS
#
# "pyspec" Release %R%
#
# Tag revisions like this:
# $ git tag -a -m "Version 0.2" v0.2 HEAD
VF=VERSION.py
VERSION_TEMPLATE="version_template.py"
DEFAULT_VERSION=UKNOWN
VT=`cat $VERSION_TEMPLATE`
# First see if there is a version file (included in release tarballs),
# then try git-de... | true |
d1782d5d57af814452fd199785d26d5baad07611 | Shell | krismyu/ldc-kiy | /data/20111207/2/analysis/scripts/get_timestamps.sh | UTF-8 | 890 | 3.34375 | 3 | [] | no_license | #! /bin/bash
## GET_TIMESTAMPS.SH
## Time-stamp: <2011-06-06 13:50:19 amoebe>
## COMMENT ME!
WD=$PWD # save current directory
cd $1 #go to directory with files
# Get file name
ls *.TextGrid > file-temp
# Get syllable 1 time stamps
grep -B2 'S1' *.TextGrid | grep -o 'xmin.*' | sed 's/[a-z]* = \(.*\)/\1/' > xmin-temp
... | true |
fec818c6200fd6b98f76c6d3e5994868a9352992 | Shell | aoh/lines | /test.sh | UTF-8 | 2,484 | 3.84375 | 4 | [
"MIT"
] | permissive | #!/bin/sh
set -e
BIN=$1
OL=owl-lisp/bin/ol
fail() {
echo "Fail: $@"
exit 1
}
chequal() {
diff $1 $2 || fail $3
}
test -x $BIN || fail "Cannot execute '$BIN'"
mkdir -p tmp
for MAX in 16 32 64 128 256 512 1024 2048 4096
do
echo "Test round, max $MAX"
echo " - generating data"
blab/bin/blab -o tmp... | true |
bd41223c4d935e7faaa2943a77cf5e8937681b06 | Shell | Dethroner/LXDE | /ssh-server.sh | UTF-8 | 1,137 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
##################################################
# Install SSH-server & sudo #
# Author by Dethroner, 2019 #
##################################################
### Install
echo "Install SSH-server & sudo"
apt -y install openssh-server sudo
### Add SSH key
echo ... | true |
ab3a0cda2968f8cfbf72a6bca639c5a6f17e5aa8 | Shell | zhangyuqin/recadmin | /RECMSNEW/remote/funcs.sh | UTF-8 | 2,691 | 3.125 | 3 | [] | no_license | #!/bin/bash
#
# acl management
#
CONFIG="/home/unbound/usr/local/etc/unbound/unbound.conf"
dist_showacl() {
dnsdist -c -e "showACL()"
}
showacl() {
local cnf="$1"
egrep '^\s+access-control' $cnf |awk '{print $2}'
}
addacl() {
local cnf="$1"
local acl="$2"
for s in $unbound_servers; do
... | true |
6e155721e2111eddaef6c99121ab3d1286c5aabc | Shell | webmedi/CentOS7_Init | /InitSetting.sh | UTF-8 | 5,146 | 3.015625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
setenforce 0
timedatectl set-timezone Asia/Tokyo
hostnamectl set-hostname dev.centos7.com
uname -a
yum -y install git
yum -y install wget
yum -y install vim
yum -y install curl
yum -y install sysstat
yum -y install unzip
yum -y install mlocate
yum -y install iotop
yum -y install net-tools
yum -y in... | true |
ff785053357833613d8efd96635bf4d7f4bc19e0 | Shell | exercism/bash | /exercises/practice/nth-prime/nth_prime.bats | UTF-8 | 1,115 | 2.671875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bats
load bats-extra
# local version: 2.1.0.0
@test "first prime" {
#[[ $BATS_RUN_SKIPPED == "true" ]] || skip
run bash nth_prime.sh 1
assert_success
assert_output "2"
}
@test "second prime" {
[[ $BATS_RUN_SKIPPED == "true" ]] || skip
run bash nth_prime.sh 2
assert_success
... | true |
c9e1620a899e9960845caac64425d95e9ccc722d | Shell | delkyd/alfheim_linux-PKGBUILDS | /netbeans-php/PKGBUILD | UTF-8 | 1,392 | 2.578125 | 3 | [] | no_license |
# Contributor: Tom Richards <tom@tomrichards.net>
# Contributor: Ebubekir KARUL <ebubekirkarul@yandex.com>
# Contributor: Krzysztof Raczkowski <raczkow@gnu-tech.pl>
# Contributor: Techlive Zheng <techlivezheng@gmail.com>
# Contributor: LinuxUser <theo@nordlogix.com>
# Contributor: Verni <vernes.siljegovic@gmail.com>
... | true |
480e2ef96f7fa747a97afd2af09fe3f2f05fcbea | Shell | plamolinux/Plamo-src | /plamo/06_xapps/sane_backends/PlamoBuild.sane-backends-1.0.32 | UTF-8 | 4,633 | 3.546875 | 4 | [] | no_license | #!/bin/sh
##############################################################
pkgbase="sane_backends"
vers="1.0.32"
url="https://gitlab.com/sane-project/backends/-/archive/${vers}/backends-${vers}.tar.bz2"
verify=""
digest=""
arch=`uname -m`
build=B3
src="sane-backends-${vers}"
OPT_CONFIG="--disable-static --enable-shared
... | true |
6dfc22a59d16d9b04cbbdcee27d2cd91e16a0c4f | Shell | dinarpay/BEHOLDA | /Beholda.sh | UTF-8 | 2,612 | 3.578125 | 4 | [] | no_license | #!/bin/bash
mkdir port_scan 2>/dev/null
cd port_scan
cat ../logo.txt
echo ""
echo -e "\e[31m[Host Discovery]\e[0m"
yn=$(ip a | grep inet | grep -v inet6 | grep -v 127 | cut -d " " -f 6)
NET=$yn
ipp=$(echo $yn | cut -d "." -f 1)
python3 ../Check_hosts.py -t $NET -o
for i in {243..248} {248..243} ; do ec... | true |
ebd042151369a667074f9262ca3e15840d71edfb | Shell | zachdeibert/decentralized-yggdrasil | /askpass | UTF-8 | 276 | 2.53125 | 3 | [
"MIT"
] | permissive | #!/bin/bash --login
cd "$(dirname "$0")"
TARGET_FILE="$(basename "$0")"
while [ -L "$TARGET_FILE" ]; do
TARGET_FILE="$(readlink "$TARGET_FILE")"
cd "$(dirname "$TARGET_FILE")"
TARGET_FILE="$(basename "$TARGET_FILE")"
done
mono decentralized-yggdrasil.exe askpass
| true |
c4c0ba078188cd8ff528965a986de0685c5edf64 | Shell | BrianAker/server-install | /roles/adduser/templates/perlrc.j2 | UTF-8 | 187 | 2.625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# vim:ft=sh
if [ -z "$PERLRC_INCLUDED" ]; then
PERLRC_INCLUDED=yes
export PERLRC_INCLUDED
[ $SHLVL -eq 1 ] && eval "$(perl -I"$HOME/perl5/lib/perl5" -Mlocal::lib)"
fi
| true |
a045541d11e792ee737b73dc088c7c84dc61f5d8 | Shell | Kiranmuringayil/sd-lab | /SD lab prgms/Shell prgm/pg5.sh | UTF-8 | 66 | 2.625 | 3 | [] | no_license | echo "Enter limit"
read a
for((i=a;i>=1;i--))
do
echo " $i "
done
| true |
b52e36f9612d86816519769c898a3c079b8e5f02 | Shell | hyperledger/indy-test-automation | /system/docker/node/getDepsNode.sh | UTF-8 | 423 | 3.140625 | 3 | [
"Apache-2.0"
] | permissive | function getDeps(){
echo "$(apt show ${1} 2>/dev/null | grep -P "Depends: " | sed 's~Depends:~~g;s~(~~g;s~)~~g;s~>~~g;s~<~~g' |tr -d " \t\n\r" | tr "," "\n")"
}
aptStr=$(dpkg-deb -I $(pwd)/${1} | grep -P "Depends: " | sed 's~Depends:~~g;s~(~~g;s~)~~g;s~>~~g;s~<~~g' | tr -d " \t\n\r" | tr "," "\n")
plenumStr="$(get... | true |
511e44dd6eb6b371992d80e74b7344af32b149e2 | Shell | EdgarusP/LinuxParaIngenieria2019-1 | /practica4/consignar.sh | UTF-8 | 693 | 3.0625 | 3 | [] | no_license | clear
echo "-- C O N S I G N A C I O N --"
echo "Cuanto dinero quiere ingresar:"
read monto
cd bancos/cuentas/
pass=`sed -n '2 p' $usuario.txt`
tipo=`sed -n '3 p' $usuario.txt`
cuenta=`sed -n '4 p' $usuario.txt`
saldo=`sed -n '5 p' $usuario.txt`
let saldo=$saldo+$monto
echo "$usuario" > $usuario.txt
echo "$pass" >> $... | true |
1ffcb2fe653f925bd6e0747381d7fb4cb341c858 | Shell | levithomason/grok | /lib/freeze_apps.zsh | UTF-8 | 390 | 3.5625 | 4 | [
"MIT"
] | permissive | #!/bin/zsh
#
# Freeze desktop apps
#
command=$1
app=$2
if [[ $command == "install" ]] then
echo $app >> $GROK_LIB/installed_apps.txt
fi
if [[ $command == "uninstall" ]] then
grep -x -v $app $GROK_LIB/installed_apps.txt > $GROK_LIB/tmp
mv $GROK_LIB/tmp $GROK_LIB/installed_apps.txt
fi
# sort and remove duplicat... | true |
fba504fafe9b76049b6103ecbdeb29f1e47213a1 | Shell | yfang1644/FArm_distro | /script/hicolor-icon-theme | UTF-8 | 261 | 2.875 | 3 | [] | no_license | #!/bin/bash
PKG_NAME=$1
PKG_VERSION=0.17
PKG_DEPENDS=""
PKG_MAINTAINER="Alexander Larsson <alexl@redhat.com>"
PKG_SECTION="xfce4"
PKG_SHORTDESC="Hi-Color Icon themes"
buildpkg() {
../configure ${TARGET_CONFIGURE_OPTS}
make $MAKEFLAGS
make DESTDIR=$INSTALL_PKG install
}
| true |
d89db10ad23e93de7355d132dcf097a5aca036ee | Shell | Laufire/js-utils | /setup.sh | UTF-8 | 248 | 3.28125 | 3 | [
"ISC"
] | permissive | #!/bin/bash
set -e
# Init
cd $(dirname $0)
# Tasks
setupEnvironment() {
hooksPath="./.githooks"
git config core.hooksPath "$hooksPath"
chmod 775 "$hooksPath"/*
}
installPackages() {
pnpm install
}
# Main
setupEnvironment
installPackages
| true |
caebe93f3793e60ca7b36b3db8b41fc5813d3242 | Shell | dbtucker/cp-service | /stop-all | UTF-8 | 2,221 | 3.921875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# OSX brew has a readlink equivalent (installed via
# 'brew install coreutils')
#
READLINK=readlink
which greadlink &> /dev/null && READLINK=greadlink
THIS_SCRIPT="$(${READLINK} -f ${BASH_SOURCE[0]})"
BIN_DIR=$(dirname ${THIS_SCRIPT})
CONF_HOME=$(dirname ${BIN_DIR})
CONF_ETC_TOP=$CONF_HOME/etc
CONF_ZK... | true |
05ea908c3b398f03df598c96ae9a23541c532465 | Shell | abailin/lnppstack | /linode-stackscript.sh | UTF-8 | 2,213 | 3.53125 | 4 | [
"LicenseRef-scancode-warranty-disclaimer",
"MIT"
] | permissive | #!/bin/bash
# LNPP Stack: Installs and configures nginx, php5-fpm, and postgres.
# Tested on Ubuntu 12.10 64bit.
# Site Helper Scripts
# -----------------------------------------------------------------------------
# A great feature of this script are the site helpers that get installed into
# /usr/local/bin. They ma... | true |
302f8cc77598ba21936cc8c3e78be92db1e04d8e | Shell | kimiwangjm/testsuite | /src/scripts/list_verified.sh | UTF-8 | 420 | 3.359375 | 3 | [] | no_license | #!/bin/sh
# get filenames through stdin, e.g. from list_tests.sh
mypath=`dirname $0`
$mypath/list_tests.sh | awk '{print $1}' | while read check; do
if [ -f checktree/$check/check.exp ]; then
grep VERIFIED checktree/$check/check.exp >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $check
fi
... | true |
a2f37aec8b8204e718cec1e2116ce9d1bd1f64b6 | Shell | EncOrz/shiyanlou | /密码生成器/genpass.sh | UTF-8 | 429 | 3.25 | 3 | [] | no_license | #!/bin/bash
i=1;while true
do
pw=`head -c 700 /dev/urandom | tr -dc a-zA-Z0-9'[:punct:]' \
| sed -r 's/[^0-9a-zA-Z><+\-\{\}\:.&;]//g' | sed 's/\\\\//g' \
| cut -c $i-$((i+12))`
# echo r:$pw
echo $pw | \
grep -E '[0-9]+' \
| grep -E '[a-z]+' \
| grep -E '[A-Z]+' \
|... | true |
0cc14dd8e29f57d7579551e517134d85f9484f09 | Shell | allejok96/send-to-kodi | /send-to-kodi.sh | UTF-8 | 8,874 | 4.125 | 4 | [] | no_license | #!/bin/bash
show_help()
{
cat<<EOF >&2
Usage: send-to-kodi.sh [options] -r HOST:PORT [URL|FILE]
Send a local or online video to Kodi. Run without URL to get a GUI.
In the GUI, you may prepend an URL with ! to disable resolving (like -x).
Options:
-d DIRECTORY Temporary download directory for high qua... | true |
02f95ed71991faaf0c2110572388e688293f98b2 | Shell | gmelodie/Sec | /overthewire/bandit/script25.sh | UTF-8 | 350 | 3.359375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# This script generates the input for netcat
# Run it like so: ./script25.txt > dict.txt
# Then use the generated input: nc localhost 30002 < dict.txt
# Tip, if you are getting timeout try removing the first 5000 lines of dict.txt
pass24=UoMYTrfrBFHyQXmg6gzctqAwOmw1IohZ
pin=0
while [ $pin -lt 10000 ];... | true |
48cf4f506bb717692bfc0eacc8c6c0b515505fa9 | Shell | ChefAustin/python | /build_all_python_frameworks.zsh | UTF-8 | 518 | 2.578125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/zsh
#
# Build script for all Python 3 frameworks
# Adaptd from https://github.com/munki/munki/blob/Munki3dev/code/tools/build_python_framework.sh
# IMPORTANT
# Run this with your current directory being the path where this script is located
TOOLSDIR=$(dirname $0)
sudo "$TOOLSDIR/build_python_framework_pkgs.zsh... | true |
31f0fe2b21891d61289caa2462564c2cf0c029cb | Shell | mrollings/Shell-Scripts | /ManInTheMiddle.sh | UTF-8 | 273 | 2.9375 | 3 | [] | no_license | #! /bin/bash
if [ -z $1 -o -z $2 ]; then
echo "Usage: ManInTheMiddle <target ip> <router ip>"
exit 0
fi
/usr/sbin/arpspoof -t $1 $2 > /dev/null &
/usr/sbin/arppoof -t $2 $1 > /dev/null &
/usr/sbin/dnsspoof -f ./dnsspoof.hosts "udp dst 53 and src $1" > /dev/null &
| true |
acdde63a055f4894bc48be9266fe0525430d2ed7 | Shell | omnipede/self-signed-nginx | /script/ssl.sh | UTF-8 | 1,347 | 3.6875 | 4 | [] | no_license | #!/bin/sh
# This script configure nginx SSL features.
# Absolute path this script is in, thus /home/user/bin
CURRENT_DIR=$(pwd)
BASEDIR=$(dirname "$0")
if [ "$BASEDIR" = '.' ]
then
BASEDIR="$CURRENT_DIR"
fi
PARENT_DIR=$(dirname "$BASEDIR")
if [ "$PARENT_DIR" = '.' ]
then
PARENT_DIR="$CURRENT_DIR"
fi
# Path of ... | true |
85fbc86f7f0992a9bfb5e6c4ce8b0708bb9fda00 | Shell | EmberMN/ember-rpi-demo-2019 | /rpi/2-set-up-node.sh | UTF-8 | 2,148 | 3.859375 | 4 | [] | no_license | #!/bin/bash
echo "--- Node.js setup script started ---"
# Install Node Version Manager (nvm) via GitHub
export NVM_DIR=/usr/local/opt/nvm
mkdir -p $NVM_DIR
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.35.0/install.sh | bash
# Set up nvm in current session (to avoid needing to log out/in again)
. $NVM_DIR... | true |
466f2680387bfbf96e27a2b64bf21c7881cee3d1 | Shell | arjun-rao/oslab | /shell/3.sh | UTF-8 | 394 | 4.0625 | 4 | [] | no_license | #!/bin/bash
function max_size {
if [ ! -d $1 ]; then
echo "Invalid Directory"
exit
fi
max=0
for f in $(find $1 -type f)
do
fsize=$(stat -f%z $f) #in linux use $(stat -c %s $f)
if [ $fsize -ge $max ]; then
max=$fsize
maxf=$f
fi
... | true |
eb84b9e52cf67b34af4af83a44f4150009dca4bd | Shell | stephenkward/template-acceptance-tests | /run_zap_local.sh | UTF-8 | 1,081 | 3.28125 | 3 | [] | no_license | #!/usr/bin/env bash
zapProxyPort=11000
startZapDaemon=true
# check if there's already something listening on zapProxyPort
listen=`netstat -lnt | grep $zapProxyPort`
if [ ! -z "$listen" ] ; then
# do not start the daemon if something is already listening on this port
# n.b. here we are making the assumption th... | true |
1f720432e018a2e7f5f642a6d4be3ba0e147d168 | Shell | CaioMatias/dotfiles | /lib/rubygems | UTF-8 | 555 | 3.359375 | 3 | [] | no_license | #!/usr/bin/env bash
run_rubygems() {
e_process "Updating to latest Rubygems version ..."
gem update --system
e_process "Installing Bundler to install project-specific Ruby gems ..."
gem install bundler --no-document --pre
e_process "Configuring Bundler for faster, parallel gem installation ..."
... | true |
00c432b6194d17dc837f693450c5b99172250f49 | Shell | mwiley/vagrant-rails | /config/vagrant/capybara_webkit_dependency_setup.sh | UTF-8 | 1,433 | 3.578125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
export DISPLAY=:99
echo "=== Begin Vagrant Provisioning using 'config/vagrant/capybara_webkit_dependency_setup.sh'"
apt-get -y -qq update
if [ -z `which qmake` ]; then apt-get -y install qt5-default libqt5webkit5-dev; fi
if [ ! -f /etc/init.d/xvfb ]; then
apt-get -y -qq install xvfb
... | true |
07d7b65bd50f00d755b11f13a9da0791b9863eb1 | Shell | cherkf/VaccineNotificator | /scripts/findVaccine.sh | UTF-8 | 607 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
#Script for CVS availability in all cities in MN except Mankato
result="$(/usr/bin/curl -X GET 'https://www.cvs.com/immunizations/covid-19-vaccine.vaccine-status.json?vaccineinfo=' -H 'cache-control: no-cache' | /usr/local/bin/jq -r '.responsePayloadData.data.MN[] | select ((.city != "MANKATO") and... | true |
6c88c70bc3414246cb1201266520588c4e450e5f | Shell | chesterchenn/blog | /start.sh | UTF-8 | 320 | 3.203125 | 3 | [] | no_license | #!/bin/bash
# 获取当前路径
path=$(cd `dirname "$0"`;pwd)
# 移除 nohup.out 文件
if [ -e $path/nohup.out ]; then
$(rm $path/nohup.out)
echo "remove $path/nohup.out"
fi
# 启动服务
$(nohup bundle exec jekyll serve --force_polling --config $path/_config.yml -s $path/ -d $path/_site > $path/nohup.out &)
| true |
fea385866d633bc50613cd0b8acb7d4db9adb379 | Shell | dtenenba/OrchestratingSingleCellAnalysis | /_knit.sh | UTF-8 | 644 | 3 | 3 | [] | no_license | #!/bin/bash
# Follows from updating the book and pulling it (_update.sh)
###################################################
# Knit appendix workflow files
## NOTE: rmarkdown::render() does not seem to work
## well with BiocFileCache() files..switching to knitr
set -ev
WORKFLOWS=(
bach-mammary
grun-pancreas... | true |
a6f379c7c610ea1a2e609c665b3f79ed22aa8a08 | Shell | MarioGabriel/istio | /config/ctx | UTF-8 | 2,295 | 3.859375 | 4 | [] | no_license | #!/bin/bash
set_gke() {
gcloud container clusters get-credentials gke-local-cluster --zone europe-west1-b --project istiotest-239415 --no-user-output-enabled
gke_ctx=$(kubectl config get-contexts -o='name' | grep 'gke')
kubectl config use-context $gke_ctx > /dev/null;
echo Now using GKE cluster ...
}
set_eks(... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.